<template>
<div @click="() => onClickPlayGame(Number(game?.GameId), isAuthenticated, String(game?.TabType), EnumEntranceLocation.GameLobby)">
  <sport-horizontal-game-entry-skeleton
    :bg-image="gameForDisplay.BackgroundImage"
    :use-slashes="true"
    :logo-image="gameForDisplay.ProviderLogoPath"
    :float-bg-image="gameForDisplay.FloatBackground"
    :person-image="gameForDisplay.StarImagePath"
    :label="isShowLabel ? gameForDisplay.GameProviderDisplayName : ''"
    :is-new="gameForDisplay.IsNewGame"
    :is-hot="gameForDisplay.IsHotGame"
    :variant="variant"
  />
</div>
</template>

<script lang="ts">
import { computed, defineComponent, PropType } from "vue";
import { IGameBsi } from "@/models/bsiGameList";
import { store } from "@/store";
import SportDisplayModel from "@/components/sport/sportDisplayModel";
import EnumEntranceLocation from "@/models/enums/enumEntranceLocation";

export default defineComponent({
  name: "SportList",

  props: {
    game: {
      type: Object as PropType<IGameBsi>,
      required: true,
    },
    isShowLabel: {
      type: Boolean,
      default: () => true,
    },
    variant: {
      type: String as PropType<
        "FLOATING_TAGS" | "TAGS_WITH_LOGO" | "LABEL_AND_PERSON"
      >,
      required: false,
      default: "FLOATING_TAGS",
    },
  },
  setup(props) {
    const { onClickPlayGame } = commonHelper;
    const gameForDisplay = computed(() => new SportDisplayModel(props.game));
    const isAuthenticated = computed(() => store.state.auth);
    return {
      gameForDisplay,
      isAuthenticated,
      EnumEntranceLocation,
      onClickPlayGame,
    };
  },
});
</script>
